import { GraphQLNamedType, GraphQLSchema } from 'graphql';
import { IResolvers, VisitType } from '../Interfaces';
export declare type OnTypeConflict = (left: GraphQLNamedType, right: GraphQLNamedType, info?: {
    left: {
        name: string;
        schema?: GraphQLSchema;
    };
    right: {
        name: string;
        schema?: GraphQLSchema;
    };
}) => GraphQLNamedType;
export default function mergeSchemas({schemas, onTypeConflict, resolvers}: {
    schemas: Array<{
        name: string;
        schema: string | GraphQLSchema | Array<GraphQLNamedType>;
    }>;
    onTypeConflict?: OnTypeConflict;
    resolvers?: Array<IResolvers> | IResolvers;
}): GraphQLSchema;
export declare function mergeSchemasImplementation({schemas, visitType, resolvers}: {
    schemas: Array<{
        name: string;
        schema: string | GraphQLSchema | Array<GraphQLNamedType>;
    }>;
    visitType?: VisitType;
    resolvers?: Array<IResolvers> | IResolvers;
}): GraphQLSchema;
